Summary: Program for browsing the periodic table
Name: gperiodic
Version: 2.0.8
Release: 8%{?dist}
License: GPL
Group: Applications/Engineering
URL: http://www.frantz.fi/software/gperiodic.php
Source: http://www.frantz.fi/software/gperiodic-%{version}.tar.gz
Patch0: gperiodic-bh.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk2-devel, desktop-file-utils, gettext

%description
Gperiodic displays a periodic table of the elements, allowing you to
browse through the elements, and view detailed information about each
element.

%prep
%setup -q
%patch0 -p1
sed -i -e "s,CFLAGS=,CFLAGS+=,g;/strip/d" Makefile

%build
CFLAGS="$RPM_OPT_FLAGS" %{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}

sed -i -e "/=$/d;/KDE/d" gperiodic.desktop
echo "Encoding=UTF-8" >> gperiodic.desktop
mv gperiodic{,.badencoding}.desktop
iconv -f ISO-8859-1 -t UTF-8 gperiodic.badencoding.desktop > gperiodic.desktop

%makeinstall
desktop-file-install \
   --delete-original \
   --vendor=fedora   \
   --add-category X-Fedora \
   --add-category Science \
   --add-category Chemistry \
   --remove-category Chemestry \
   --dir %{buildroot}%{_datadir}/applications \
   %{buildroot}%{_datadir}/applications/gperiodic.desktop
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)

%{_bindir}/gperiodic
%{_datadir}/applications/fedora-gperiodic.desktop
%{_datadir}/pixmaps/gperiodic.png
%{_datadir}/pixmaps/gperiodic-crystal.png


%doc README AUTHORS ChangeLog gpl.txt

%changelog
* Sat May 05 2007 Eric Tanguy <eric.tanguy@univ-nantes.fr> 2.0.8-8
- Rebuild

* Thu Nov 09 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-7
- Correct information for "Bh", Bohrium

* Thu Nov 09 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-6
- Rebuild for distag problem

* Thu Nov 09 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-5
- Modify URL in package descrpition and source

* Tue Feb 14 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-4
- Rebuild for FC5

* Fri Feb 10 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-3
- Rebuild for FC5

* Mon Oct 24 2005 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-2
- Applied patch file : 
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=120301

* Sun Oct 23 2005 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 2.0.8-1
- Initial build
